rdrender
1
August 2017
Linux Audio Manual

# rdrender

Render a Rivendell log as a single audio file
Fred
Gleason
fredg@paravelsystems.com
Application Author

          rdrender
          OUTPUT-OPTS
          RENDERING-OPTS
          AUDIO-OPTS
          logname

## Description

`rdrender` 1 can be used to render an existing Rivendell log as a single audio file, thus enabling playback of the rendered content independently of Rivendell.

Three different types of options can be given to `rdrender` 1: Output, which affect the outputs of the program, Rendering, which control how a log is virtually "played" and Audio, which control the format of the resulting audio file. Each group of options is documented separately below.

## Output Options

`--to-cart=`cartnum:cutnum

  Save the rendered log to cut number cutnum in cart number cartnum. Both cart and cut must already exist. This option is mutually exclusive with the `--to-file` option, below.

`--to-file=`filename

  Save the rendered log to the filename file. This option is mutually exclusive with the `--to-cart` option, above.

`--verbose`

  Be verbose. Among other things, this will cause `rdrender` 1 to print a disposition for each log event encountered to standard error.

Exactly one `--to-cart` or `--to-file` option must be specified.

## Rendering Options

`--first-line=`lineno

  Start rendering the log at line lineno. This option is mutually exclusive with the `--first-time` option, below.

`--first-time=`HH:MM:SS

  Start rendering the log at the event having a hard-start time of HH:MM:SS. This option is mutually exclusive with the `--first-line` option, above.

`--ignore-stops`

  Treat any STOP transitions encountered as if they were PLAY transitions. If not given, a STOP transition will cause rendering of the log to be terminated at the point where the STOP was encountered.

`--last-line=`lineno

  Stop rendering the log at line lineno-1. This option is mutually exclusive with the `--last-time` option, below.

`--last-time=`HH:MM:SS

  Stop rendering the log at the event having a hard-start time of HH:MM:SS. This option is mutually exclusive with the `--last-line` option, above.

`--start-time=`HH:MM:SS

  Render the log as if it had been started at a time of HH:MM:SS (useful for ensuring that dayparted carts play as expected). If not given, the current system time will be used.

## Audio Options

`--bitrate=`rate

  Specify the bitrate to use, in rate bits per second. Default value is 256000 bits/sec. This setting is meaningful only when used with the `MP2` or `MP3` formats.

`--channels=`chans

  Use chans channels in the output file. If not given, `2` channels (stereo) will be used.

`--format=`format

  Specify the file and audio encoding format to be used. The following values for format are recognized:

  `FLAC`

    Free Lossless Audio Codec (.flac)

  `MP2`

    MPEG-1 Layer 2 (.mp2)

  `MP3`

    MPEG-1 Layer 3 (.mp3)

  `PCM16`

    PCM16 audio in a WAV file format (.wav)

  `PCM24`

    PCM24 audio in a WAV file format (.wav)

  `VORBIS`

    OggVorbis (.ogg)

  Default value is `PCM16`.

`--normalization-level=`level

  Peak normalize the audio to level dBFS. Default value is `0`, which will disable peak normalization.

`--quality=`qual

  Specify the quality level to use, in the range `-1` through `10`, inclusive. Default value is `3`. This setting is meaningful only when used with the `VORBIS` format.

`--samplerate=`rate

  Specify the sample rate to use, in rate samples per second. Default value is the sample rate configured in `System Settings` in `rdadmin` 1.

## Bugs

`rdrender` 1 makes no attempt to interpret hard-start time values beyond allowing them to be used to flag the start and end of rendering. (See the `--first-time` and `--last-time` rendering options).

Due to limitations inherent in the 32 bit Broadcast Wave File format used in Rivendell's audio store, the maximum length of the rendered log is limited to appoximately three hours for stereo and six hours for mono when using the `--to-cart` option.